cURL
curl --request POST \
--url https://gateway.7exchange.io/wallet/1.0.0/currencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"name": "<string>",
"type": "<string>",
"decimal": 123,
"max_value": 123,
"aliases": [
{
"name": "<string>",
"shortname": "<string>",
"scale": 123,
"sign": "<string>",
"picture": "<string>",
"default": true,
"ownerId": "<string>"
}
],
"blockchain": {
"name": "<string>",
"type": "<string>",
"users": "<string>",
"walletTypes": "<string>",
"definition": {
"ownerId": "<string>",
"data": [
{
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
}
]
}
}
}
'import requests
url = "https://gateway.7exchange.io/wallet/1.0.0/currencies"
payload = {
"name": "<string>",
"type": "<string>",
"decimal": 123,
"max_value": 123,
"aliases": [
{
"name": "<string>",
"shortname": "<string>",
"scale": 123,
"sign": "<string>",
"picture": "<string>",
"default": True,
"ownerId": "<string>"
}
],
"blockchain": {
"name": "<string>",
"type": "<string>",
"users": "<string>",
"walletTypes": "<string>",
"definition": {
"ownerId": "<string>",
"data": [
{
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
}
]
}
}
}
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
type: '<string>',
decimal: 123,
max_value: 123,
aliases: [
{
name: '<string>',
shortname: '<string>',
scale: 123,
sign: '<string>',
picture: '<string>',
default: true,
ownerId: '<string>'
}
],
blockchain: {
name: '<string>',
type: '<string>',
users: '<string>',
walletTypes: '<string>',
definition: {
ownerId: '<string>',
data: [{ownerId: '<string>', name: '<string>', type: 123, value: '<string>'}]
}
}
})
};
fetch('https://gateway.7exchange.io/wallet/1.0.0/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Currency
Add currency
POST
/
currencies
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I

